# string

string() → xs:string

Returns the string value of the context node

There are no arguments
Result | xs:string

string($arg as item()?) → xs:string

Returns the string value of the supplied node, or converts the supplied atomic value to a string.

Arguments
| $arg | item()? | A node whose string value is required, or an atomic value to be converted to a string
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next